Bug 6389 - [PATCH] Resource leak in lib/ldb/tools/ldbmodify.c
[PATCH] Resource leak in lib/ldb/tools/ldbmodify.c
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: Other
unspecified
All All
: P3 trivial
: ---
Assigned To: Andrew Bartlett
Andrew Bartlett
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-22 11:22 UTC by Slava Semushin
Modified: 2009-06-18 03:44 UTC (History)
0 users

See Also:


Attachments
Fix resource leak in lib/ldb/tools/ldbmodify.c (1.21 KB, patch)
2009-05-22 11:24 UTC, Slava Semushin
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Slava Semushin 2009-05-22 11:22:29 UTC
Hello!

I found resource leak in source{3,4}/lib/ldb/tools/ldbmodify.c files. Patch in attach.
Comment 1 Slava Semushin 2009-05-22 11:24:32 UTC
Created attachment 4183 [details]
Fix resource leak in lib/ldb/tools/ldbmodify.c

Proposal patch.
Comment 2 Andrew Bartlett 2009-06-12 03:54:04 UTC
I appreciate the use of tools to find bugs in Samba, but I do wonder about this one:

Is it really a resource leak to leave the fclose() to the kernel (as a side-effect of exit())?
Comment 3 Matthias Dieter Wallnöfer 2009-06-18 03:44:25 UTC
Fixed